CertificateFactory
Date: 2016-06-24

java.security.cert

## Class CertificateFactory

- java.lang.Object
- - java.security.cert.CertificateFactory

-     public class CertificateFactory
      extends Object

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `CertificateFactory(CertificateFactorySpi var0, Provider var1, String var2)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Certificate` | `generateCertificate(InputStream var0)`
    `Collection` | `generateCertificates(InputStream var0)`
    `CertPath` | `generateCertPath(InputStream var0)`
    `CertPath` | `generateCertPath(InputStream var0, String var1)`
    `CertPath` | `generateCertPath(List var0)`
    `CRL` | `generateCRL(InputStream var0)`
    `Collection` | `generateCRLs(InputStream var0)`
    `Iterator` | `getCertPathEncodings()`
    `static CertificateFactory` | `getInstance(String var0)`
    `static CertificateFactory` | `getInstance(String var0, Provider var1)`
    `static CertificateFactory` | `getInstance(String var0, String var1)`
    `Provider` | `getProvider()`
    `String` | `getType()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CertificateFactory

          protected CertificateFactory(CertificateFactorySpi var0,
                            Provider var1,
                            String var2)

  - ### Method Detail

    - #### generateCRL

          public final CRL generateCRL(InputStream var0)
                                throws CRLException

      Throws:
        `CRLException`

    - #### generateCRLs

          public final Collection generateCRLs(InputStream var0)
                                        throws CRLException

      Throws:
        `CRLException`

    - #### generateCertPath

          public final CertPath generateCertPath(InputStream var0)
                                          throws CertificateException

      Throws:
        `CertificateException`

    - #### generateCertPath

          public final CertPath generateCertPath(InputStream var0,
                                  String var1)
                                          throws CertificateException

      Throws:
        `CertificateException`

    - #### generateCertPath

          public final CertPath generateCertPath(List var0)
                                          throws CertificateException

      Throws:
        `CertificateException`

    - #### generateCertificate

          public final Certificate generateCertificate(InputStream var0)
                                                throws CertificateException

      Throws:
        `CertificateException`

    - #### generateCertificates

          public final Collection generateCertificates(InputStream var0)
                                                throws CertificateException

      Throws:
        `CertificateException`

    - #### getCertPathEncodings

          public final Iterator getCertPathEncodings()

    - #### getInstance

          public static final CertificateFactory getInstance(String var0)
                                                      throws CertificateException

      Throws:
        `CertificateException`

    - #### getInstance

          public static final CertificateFactory getInstance(String var0,
                                       String var1)
                                                      throws NoSuchProviderException,
                                                             CertificateException

      Throws:
        `NoSuchProviderException`
        `CertificateException`

    - #### getInstance

          public static final CertificateFactory getInstance(String var0,
                                       Provider var1)
                                                      throws CertificateException

      Throws:
        `CertificateException`

    - #### getProvider

          public final Provider getProvider()

    - #### getType

          public final String getType()